Bug 845249 - Improve the discover-ability of top-level REST content
Improve the discover-ability of top-level REST content
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: REST (Show other bugs)
JON 3.1.0
Unspecified Unspecified
high Severity medium
: ER01
: JON 3.2.0
Assigned To: Heiko W. Rupp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 09:06 EDT by Alan Santos
Modified: 2015-02-05 20:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Santos 2012-08-02 09:06:09 EDT
Description of problem:

There's no way to discover available links from the top level REST api 

Currently a user must browse the documentation to discover links. While WADL may be overkill, perhaps a simple JSON object of links could be returned..

e.g.

wget http://127.0.0.1:7080/rest

"links": [
            {
                "rel": "resources",
                "href": "/rest/1/resource/"
            }

etc...

Also - the '1' seems unintuitive in paths...
Comment 1 Heiko W. Rupp 2013-03-05 02:03:23 EST
The '1' is long gone in master and a / resource has been added long before the RHQ 4.6 release
Comment 2 Larry O'Leary 2013-09-06 10:30:53 EDT
As this is MODIFIED or ON_QA, setting milestone to ER1.
Comment 3 Mike Foley 2013-09-13 14:06:37 EDT
verified

Note You need to log in before you can comment on or make changes to this bug.